=== debian/changelog ===
jeex (12.0.3-1) unstable; urgency=low

  * New upstream bugfix-only release.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 14 Apr 2010 13:12:10 +0200

jeex (12.0.2-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards.
  * Drop all patches that have been applied by upstream.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Tue, 02 Feb 2010 17:47:37 +0100

jeex (12.0.1-1) unstable; urgency=low

  * Initial release (Closes: #497507)

 -- David Paleino <dapal@debian.org>  Sun, 17 Jan 2010 21:18:05 +0100
