=== debian/control ===
Source: jeex
Section: editors
Priority: optional
Maintainer: David Paleino <dapal@debian.org>
Uploaders: Alessio Treglia <quadrispro@ubuntu.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7),
 libmagic-dev,
 libgtk2.0-dev
Standards-Version: 3.8.4
Homepage: http://www.hds619.net/Jeex.php
Vcs-Git: git://git.debian.org/git/collab-maint/jeex.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/jeex.git

Package: jeex
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: visual editor to view and edit files in hexadecimal
 Jeex is a simple hexadecimal editor which allows user to create, open
 and edit files in hexadecimal, binary, octal and ASCII. The features include
 insert, delete, copy-and-paste, search and many others.
 .
 It also shows several information about the opened file, like file mode bits,
 ownership, last access and modification timestamps.
