## jeex 12.0.4

=== Makefile ===
--- 
+++ 
@@ -72,7 +72,7 @@
 
 snapshot: clean
 	  make update-po -C po
-	  tar -cvjf ../jeex.dev-pkg-`date +"%Y%m%d"`.tar.bz2 ../jeex-12.0.3
+	  tar -cvjf ../jeex.dev-pkg-`date +"%Y%m%d"`.tar.bz2 ../jeex-12.0.4
 
 clean:
 	@for d in $(SUBDIRS); \
