=== plugin/Makefile ===
# Copyright 2008 - HdS619 ( hds619@gmail.com )

# Jeex is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.

# Jeex is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
# MA 02110-1301, USA.

objects = jeex_hello.o joiner.o
cc = gcc
cflags = `pkg-config --cflags gtk+-2.0` $(C_PARAM)

ifeq ($(DEBUG), true)
      cflags += -g -Ddebug_enable=1
endif

%.o: %.c
	$(cc) -c $< -o $@ $(cflags)

plugin: $(objects)
	@echo "Plugin compiled."

clean:
	@rm -fv *.o
