=== debian/watch ===
version=3
http://www.hds619.net/jeex-pkg/jeex-(\d+.*)\.tar\.bz2
